Télécharger Anki, problème avec QtWebKit.

jorelb 10 Messages postés mardi 18 juillet 2017Date d'inscription 13 septembre 2017 Dernière intervention - 19 juil. 2017 à 18:09 - Dernière réponse : jorelb 10 Messages postés mardi 18 juillet 2017Date d'inscription 13 septembre 2017 Dernière intervention
- 20 juil. 2017 à 10:38
Bonjour,
dernièrement, j'ai installé anki sur mon ordinateur à l'aide du .deb disponible sur ce site: https://apps.ankiweb.net/linux
(Dans les dépôts, ce logiciel est trop ancien.)
mais une fois le paquet installé, je démarre le logiciel avec la commande "anki".
mais un message d'erreur s'affiche:
Traceback (most recent call last):
File "/usr/bin/anki", line 5, in <module>
import aqt
File "/usr/share/anki/aqt/__init__.py", line 12, in <module>
from aqt.qt import *
File "/usr/share/anki/aqt/qt.py", line 22, in <module>
from PyQt4.QtWebKit import QWebPage, QWebView, QWebSettings
ImportError: No module named QtWebKit

Qt est un module de python mais impossible de trouver QtWebKit.
j'ai essayé en installant pyqt4-dev mais sa ne fonctionne toujours pas.
Merci d'avance de vos réponses.
Afficher la suite 

2 réponses

Répondre au sujet
0
Utile
1
Bonjour,

Il faut que tu installes QTwebkit, pour moi ça a résolu le problème, je suis plutôt satisfait maintenant, tu verras c'est un peu galère au début mais apres on est bien content du résultat ^^
jorelb 10 Messages postés mardi 18 juillet 2017Date d'inscription 13 septembre 2017 Dernière intervention - 20 juil. 2017 à 10:38
Comment à tu installé QtWebKit?
Je ne trouve rien sur Internet pour l'installer... (en tout cas qui fonctionnent )
Commenter la réponse de Doudou